﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication155
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            rpg.Item = new MyItemClass() { RootProp = new MyConcreteClass() { NestedPropA = 1, NestedPropB = 2 } };
        }
    }

    public class MyItemClass
    {
        public MyAbstractClass RootProp { get; set; }
    }

    public abstract class MyAbstractClass
    {
        public int NestedPropA { get; set; }
    }

    public class MyConcreteClass : MyAbstractClass
    {
        public int NestedPropB { get; set; }
    }
}
